steps:
  build:
    image: node:latest
    commands:
      - cd src
      - npm install --verbose --foreground-scripts sharp
      - npx presskit build --output ../out --pretty-links --collapse-menu --clean-build-folder
      - cp .htaccess ../out
  deploy:
    image: debian:latest
    when:
      - event: [push, manual]
        branch: main
    commands:
      - rm -rfv /var/www/press/*
      - cp -rv out/. /var/www/press
    volumes:
      - /var/www/press:/var/www/press
